<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Response;
        
class BundleIdSlug 
{
    public string $flavorId;
    public string $slug;
    public ?string $iosBundleId = null;
    public ?string $currentIosVersion = null;
    public ?string $androidBundleId = null;
    public ?string $currentAndroidVersion = null;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;

    /**
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $flavorId, string $slug, ?string $iosBundleId, ?string $currentIosVersion, ?string $androidBundleId, ?string $currentAndroidVersion, string $createdAt)
    {
        $this->flavorId = $flavorId;
        $this->slug = $slug;
        $this->iosBundleId = $iosBundleId;
        $this->currentIosVersion = $currentIosVersion;
        $this->androidBundleId = $androidBundleId;
        $this->currentAndroidVersion = $currentAndroidVersion;
        $this->createdAt = $createdAt;
    }
    

}